Skip to main content
GET
/
api
/
v1
/
apps
/
{app_id}
/
mcp_toolsets
/
by_app_entitlement_id
/
{app_entitlement_id}
Typescript (SDK)
import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";

const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
  security: {
    bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
    oauth: "<YOUR_OAUTH_HERE>",
  },
});

async function run() {
  const result = await conductoroneSDKTypescript.mcpAccessProfile.getByAppEntitlementId({
    appId: "<id>",
    appEntitlementId: "<id>",
  });

  console.log(result);
}

run();
{
  "profile": {
    "appEntitlementId": "<string>",
    "appId": "<string>",
    "connectorId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "deletedAt": "2023-11-07T05:31:56Z",
    "description": "<string>",
    "displayName": "<string>",
    "id": "<string>",
    "toolCount": 123,
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

app_id
string
required

App identifier.

app_entitlement_id
string
required

AppEntitlement ID to look up.

Response

200 - application/json

MCPAccessProfileServiceGetByAppEntitlementIdResponse returns the matched profile.

MCPAccessProfileServiceGetByAppEntitlementIdResponse returns the matched profile.

profile
Mcp Access Profile · object

MCPAccessProfile represents an admin-curated grouping of MCP tools.